<bugID>1384527<Summary>Stop using Promise.jsm from DevTools</Summary><Description>We still import Promise.jsm from DevTools:
http://searchfox.org/mozilla-central/search?q=Promise.jsm%22&amp;case=false&amp;regexp=false&amp;path=devtools%2F

Bug 1378173 aims at removing it from tree.

We already have bug 1233890 and bug 1233891, which are about stop using require("promise") and use Promise global instead.
This involves more refactoring than just mapping require("promise") to DOM Promise.

It looks like we could just do that first:
  https://treeherder.mozilla.org/#/jobs?repo=try&amp;revision=c132af40db995df0f3533baa21e984e68ff7365d&amp;selectedJob=117999510</Description></bugID>